| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::utility::uptime Struct Reference

A class used to represent an uptime in hours, minutes, seconds and days, with helper functions to convert from time_t and display as a string. More...

`#include <utility.h>`

Collaboration diagram for dpp::utility::uptime:
[legend]

## Public Member Functions

| uptime ()
| Construct a new uptime object.
| uptime (double diff)
| Construct a new uptime object.
| uptime (time_t diff)
| Construct a new uptime object.
uint64_t | to_msecs () const
| Get uptime as milliseconds.
uint64_t | to_secs () const
| Get uptime as seconds.
std::string | to_string () const
| Get uptime as string.

## Public Attributes

uint16_t | days
| Number of days.
uint8_t | hours
| Number of hours.
uint8_t | mins
| Number of minutes.
uint8_t | secs
| Number of seconds.

## Detailed Description

A class used to represent an uptime in hours, minutes, seconds and days, with helper functions to convert from time_t and display as a string.

## Constructor & Destructor Documentation

## ◆ uptime() [1/3]

dpp::utility::uptime::uptime | ( |  | ) |

Construct a new uptime object.

## ◆ uptime() [2/3]

dpp::utility::uptime::uptime | ( | time_t | diff | ) |

Construct a new uptime object.

Parameters

  diff | A time_t to initialise the object from

## ◆ uptime() [3/3]

dpp::utility::uptime::uptime | ( | double | diff | ) |

Construct a new uptime object.

Parameters

  diff | A time_t to initialise the object from

## Member Function Documentation

## ◆ to_msecs()

uint64_t dpp::utility::uptime::to_msecs | ( |  | ) | const

Get uptime as milliseconds.

Returns
  uint64_t Uptime as milliseconds

## ◆ to_secs()

uint64_t dpp::utility::uptime::to_secs | ( |  | ) | const

Get uptime as seconds.

Returns
  uint64_t Uptime as seconds

## ◆ to_string()

std::string dpp::utility::uptime::to_string | ( |  | ) | const

Get uptime as string.

Returns
  std::string Uptime as string

## Member Data Documentation

## ◆ days

uint16_t dpp::utility::uptime::days

Number of days.

## ◆ hours

uint8_t dpp::utility::uptime::hours

Number of hours.

## ◆ mins

uint8_t dpp::utility::uptime::mins

Number of minutes.

## ◆ secs

uint8_t dpp::utility::uptime::secs

Number of seconds.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0